Subject: bug#15218: End of file during parsing only for byte compiled files

From: Johan Andersson <[email-masked]>
Date: Sat, 31 Aug 2013 10:25:22 +0200

This might have to do with that the package advices `princ', which seems to
be used in the byte compilation process. I've pushed a fix and waiting for
MELPA before I can verify this.

On Fri, Aug 30, 2013 at 5:10 PM, Johan Andersson <[email-masked]>wrote:

> > I'm not sure when you see that error (is it when loading the package or
> when installing it?).
>
> Loading, yes!
>
> > Assuming it's when loading it, could it be that
> you're loading the package in a version of Emacs noticeably older than
> the one that compiled the files?
>
> No, it's the exact same binary that installed the package as the one
> running it. But if I look at the byte code, the one that package.el
> produced is not the same as if I would run byte-compile-file.
>
> > The elpa package is supposed to come without any .elc files, and the .el
> files are supposed to be byte-compiled during installation.  Did this
> work correctly?
>
> I can see no errors or warnings. See attached log file.
>
>
> On Fri, Aug 30, 2013 at 2:36 PM, Stefan Monnier <[email-masked]>wrote:
>
>> > I just released a new version of Ecukes (
>> https://github.com/rejeep/ecukes.el).
>> > Everything works fine locally, but not when I install via package.el.
>> Then
>> > I get this error:
>>
>> > End of file during parsing:
>> > /path/to/project/.cask/24.3.1/elpa/ecukes-20130830.16/ecukes-core.elc
>>
>> > And if I remove that .elc file, it complains on the next file and so
>> on. If
>> > I remove all .elc files it works fine.
>>
>> I'm not sure when you see that error (is it when loading the package or
>> when installing it?).  Assuming it's when loading it, could it be that
>> you're loading the package in a version of Emacs noticeably older than
>> the one that compiled the files?
>>
>> > So something with the byte compilation does not work, but if I byte
>> compile
>> > all files locally it works just fine.
>>
>> The elpa package is supposed to come without any .elc files, and the .el
>> files are supposed to be byte-compiled during installation.  Did this
>> work correctly?
>>
>>
>>         Stefan
>>
>
>